# Template Function cif::dihedral_angle

- Defined in File point.hpp

## Function Documentation

template<typename F>
constexpr auto cif::dihedral_angle(const point_type<F> &p1, const point_type<F> &p2, const point_type<F> &p3, const point_type<F> &p4)

  return the dihedral angle in degrees for the four points p1, p2, p3 and p4

  See https://en.wikipedia.org/wiki/Dihedral_angle for an explanation of what a dihedral angle is